Subject: Interop Issue (was Fwd: [Sip] REGISTER Processing

From: Jiri Kuthan <[email-masked]>
Date: Mon, 06 May 2002 15:00:50 +0200

[Resent -- this was a bis-09 interop issue at the last sip-it and I am
surprised not to have seen any reply on it from any of bis authors.]

>There seems to be insufficient guidance in bis-09 on usage of Call-ID
>in REGISTERs. The only thing which I found there is in 10.2.4:
>
>  "A UA SHOULD use the same Call-ID for all registrations during a
>   single boot cycle. "
>
>I think that does NOT require Call-ID to change across reboots. UAs
>with no memory are not explicitely mandated to change Call-ID (ignoring
>that bis asks to deny REGISTERs with Call-ID== and CSeq <= values in registrar's
>bindings). If the UACs actually do not change Call-ID, REGISTERs after reboots 
>with low CSeq will be ignored.
>
>Which actually happened during two tests in SIPIt.
>
>Also the SHOULD strengh seems to weak -- 'SHOULD' MUST be used if
>not doing so does not break things, which is not the case here.
>
>--
>
>Other confusing thing is which SIP reply a request failure for out-of-order REGISTERs 
>in line 1740 implies. I could connect it to the next paragraph "....if binding 
>update fails...the request MUST fail with 500..." but I am not sure that 500 is 
>a good choice.
>
>--
>
>Yet anothet thing, which Jan pointed out, is that handling of out-or-order
>in lines 1738-40 also includes retransmissions (CSeq and CallID in request and
>bindings equal). Sending some negative reply upstream would in that case 
>cause the upstream UAC to consider registration failed.
>
>-Jiri

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip